Introduzione a Unix
Indietro | Capitolo 4 Risorse di sistema e stampa | Avanti

# 4.2 Comandi di stampa

Tabella 4-2. Comandi di stampa

Comando/Sintassi | Cosa fa
--- | ---
`lpq` (`lpstat`) `[`opzioni`]` | mostra lo stato dei job (lavori) di stampa
`lpr` (`lp`) `[`opzioni`] `file`` | stampa con una stampante specifica
`lprm` (`cancel`) `[`opzioni`]` | rimuove un job di stampa dalla coda di stampa
`pr [`opzioni`] [`file`]` | filtra il file e lo stampa sul terminale

I comandi di stampa permettono di stampare file sullo standard output (pr(1)) o attraverso una stampante (lp(1) e lpr(1)) fino a filtrare l'output. I comandi di stampa di BSD e SysV usano diversi nomi e diverse opzioni per produrre lo stesso risultato: lpr(1), lprm(1) e lpq(1) contro lp(1), `cancel` e `lpstat` rispettivamente per BSD e SysV, sottopongono, cancellano e verificano lo stato di un job (lavoro) di stampa.

## 4.2.1 lp/lpr - sottopone un job di stampa

Il comando lp(1) o lpr(1) sottopone il file specificato o lo standard input al demone di stampa per essere stampato. Ad ogni job viene assegnato un unico id di richiesta che può essere usato in seguito per verificare o cancellare il job mentre è nella coda di stampa.

Sintassi

`lp [`opzioni`] `filename``

`lpr [`opzioni`] `filename``

Opzioni generali

lp | lpr | funzione
--- | --- | ---
`-n `numero`` | `-`#numero`` | numero di copie
`-t `titolo`` | `-T`titolo`` | titolo del job
`-d `destinazione`` | `-P`stampante`` | nome della stampante
`-c` | (default) | copia il file in coda prima di stamparlo
(default) | `-s` | non copia il file in coda prima di stamparlo
`-o `opzioni`` |  | opzioni addizionali, esempio `nobanner`

I file che iniziano con i simboli `%!` sono considerati file contenenti comandi PostScript.

Esempi:

Per stampare il file `ssh.ps`:

    % lp ssh.ps
    request id is lp-153 (1 file(s))

Questo sottopone il job nella coda della stampante di default, `lp`, con l'id di richiesta `lp-153`.

## 4.2.2 lpstat/lpq - verifica lo stato di un job di stampa

Si può verificare lo stato del proprio job di stampa con il comando `lpstat` o lpq(1).

Sintassi

`lpstat [`opzioni`]`

`lpq [`opzioni`] [`job#`] [`username`]`

Opzioni generali

lpstat | lpq | funzione
--- | --- | ---
`-d` | (`lp` di default) | lista dei sistemi destinazione di default
`-s` |  | riassume lo stato di stampa
`-t` |  | stampa tutte le informazioni dello stato di stampa
`-u [`login-ID-list`]` |  | lista dell'utente specificato
`-v` |  | elenca le stampanti conosciute dal sistema
`-p `stampante`` | `-P`stampante`` | stampa lo stato della stampante specificata

Esempi:

    % lpstat
    lp-153 frank 208068 Apr 29 15:14 on lp

## 4.2.3 cancel/lprm - cancella un job di stampa

Alcuni utenti possono cancellare solamente i loro job di stampa.

Sintassi

`cancel [`id-richiesta`] [`stampante`]`

`lprm [`opzioni`] [`job#`] [`username`]`

Opzioni generali

cancel | lprm | funzione
--- | --- | ---
| `-P`stampante`` | specifica la stampante
| `-` | tutti i job dell'utente
`-u [`login-ID-list`]` |  | lista dell'utente

Esempi:

Per cancellare il job sottomesso in precedenza:

    % cancel lp-153

## 4.2.4 pr - prepara file per la stampa

Il comando pr(1) stampa l'intestazione e le informazioni traccia che circoscrivono il file formattato. Si può specificare il numero di pagine da stampare, le linee per pagina, le colonne, le linee bianche, si può specificare la larghezza di pagina, l'intestazione e le informazioni traccia e in che modo trattare il carattere tab.

Sintassi

`pr [`opzioni`] `file``

Opzioni generali

`+`numero_pagina`` | inizia a stampare al numero di pagina specificato
`-`colonne`` | numero di colonne
`-a` | modifica l'opzione `-colonne` per riempire le colonne nell'ordine round-robin
`-d` | doppio spazio
`-e [`carattere`] [`gap`]` | spazio tab
`-h `stringa_intestazione`` | intestazione per ogni pagina
`-l `linee`` | linee per pagina
`-t` | non stampa l'intestazione e la traccia per ogni pagina
`-w `larghezza`` | larghezza di pagina

Esempi:

Il file contenente la lista di libri di P. G. Wodehouse Lord Emsworth dovrebbe essere stampato con 14 linee per pagina (incluse 5 di intestazione e 5 (vuote) linee traccia), dove l'opzione `-e` specifica in che modo convertire i tab:

    % pr -l 14 -e42 wodehouse

    Apr 29 11:11 1996 wodehouse_emsworth_books Page 1

    Something Fresh [1915]                  Uncle Dynamite [1948]
    Leave it to Psmith [1923]               Pigs Have Wings [1952]
    Summer Lightning [1929]                 Cocktail Time [1958]
    Heavy Weather [1933]                    Service with a Smile [1961]

    Apr 29 11:11 1996 wodehouse_emsworth_books Page 2

    Blandings Castle and Elsewhere [1935]   Galahad at Blandings [1965]
    Uncle Fred in the Springtime [1939]     A Pelican at Blandings [1969]
    Full Moon [1947]                        Sunset at Blandings [1977]

Indietro | Partenza | Avanti
Risorse di sistema e stampa | Risali | Shell

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.